SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000568SiT!triggerspublic2009-03-11 17:432011-02-14 13:18
Reporternicdev 
Assigned Tokieran 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionduplicate 
PlatformOSOS Version
Product Version3.45 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000568: Add trigger when an incident changes status
DescriptionWould be nice to have a trigger that fires when an incident changes status back to "active"
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0001261confirmed Missing templates and triggers for 4.0 
child of 0001089confirmed [META] triggers revamp 

-  Notes
User avatar (0000775)
kieran (administrator)
2009-03-11 19:09

The way to do this would be to have a trigger on status change and use the rule to specify to fire when the new status is active.
User avatar (0000776)
ivan (administrator)
2009-03-12 11:08

This might not be as easy as it sounds to implement because knowing whether the status has changed means knowing the current status, something that we don't always know at the time of writing new status.

That, coupled with the fact that there are a lot of places where status could change makes it a little more work than you'd think. e.g. Update incident, send email, incoming email, portal etc.

Definately one we should look into adding though, I can see it could be very useful.
User avatar (0001197)
kieran (administrator)
2009-06-13 09:57

I guess the best way to do this is to have a function to change incident status, we get away from having the same code all over the place plus for instances like this it makes it easy to add code.
User avatar (0003033)
ivan (administrator)
2010-04-12 13:10

That would mean the function would need to read the current status and then write the new status. That seems quite expensive?

- Issue History
Date Modified Username Field Change
2009-03-11 17:43 nicdev New Issue
2009-03-11 17:49 ivan Status new => confirmed
2009-03-11 17:49 ivan Target Version => 3.50
2009-03-11 19:09 kieran Note Added: 0000775
2009-03-12 11:08 ivan Note Added: 0000776
2009-05-30 14:51 ivan Target Version 3.50 => 3.60
2009-06-13 09:57 kieran Note Added: 0001197
2009-06-13 09:57 kieran Assigned To => kieran
2009-06-13 09:57 kieran Status confirmed => assigned
2009-08-17 12:30 kieran Target Version 3.60 => 3.80
2010-02-20 17:05 paulh Target Version 3.60 LTS => 4.0
2010-02-20 17:05 paulh Relationship added child of 0001089
2010-04-12 12:26 kieran Relationship added duplicate of 0001261
2010-04-12 12:26 kieran Status assigned => resolved
2010-04-12 12:26 kieran Resolution open => duplicate
2010-04-12 13:10 ivan Note Added: 0003033
2011-02-14 13:18 ivan Fixed in Version => 3.90beta1
2011-02-14 13:18 ivan Fixed in Version 3.90beta1 => Current GIT
2011-02-14 13:18 ivan Target Version 4.0 => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker